Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Commits on Oct 3, 2012
  1. Bump all packages that use perl, or depend on a p5-* package, or

    wiz authored
    are called p5-*.
    
    I hope that's all of them.
Commits on Sep 9, 2012
  1. Updated security/p5-pcsc to 1.4.12

    abs authored
    2011-03-06  Ludovic Rousseau  <rousseau@debian>
    
    	* README: release 1.4.12
    
    	* PCSC.xs: Also check for SVt_PVIV and not just SVt_IV.
    
    	Fixes Debian bug #613722 "libpcsc-perl: GetStatusChange error after print"
    
    	* PCSC.xs, PCSC.pm, test.pl: Use lines of less than 80 columns
    
    2010-10-27  Ludovic Rousseau  <rousseau@debian>
    
    	* create_distrib.sh: compress using bzip2 instead of gzip
    
    	* README: release 1.4.11
    
    	* PCSCperl.h: SCardCancelTransaction() is no more present in pcsc-lite
    
    	* PCSC.pm, PCSC.pod, PCSC.xs, PCSCperl.h:
    	SCardSetTimout is no more present in pcsc-lite > 1.6.4
    	It was a pcsc-lite specific and deprecated function
    
    2010-08-18  Ludovic Rousseau  <rousseau@debian>
    
    	* PCSCperl.h:
    	use SCARD_READERSTATE * instead of LPSCARD_READERSTATE since is not
    	define in pcsc-lite < 1.6.3
    
    	* README: release 1.4.10
    
    	* PCSC.pm, PCSC.xs, PCSCperl.h, README: Update copyright date
    
    	* create_distrib.sh: Allow more than one digit in the version numbers
    
    	* PCSC.xs, PCSCperl.h:
    	Use LPSCARD_READERSTATE instead of LPSCARD_READERSTATE_A since it is no
    	more defined in pcsc-lite >= 1.6.2
    
    2010-06-30  Ludovic Rousseau  <rousseau@debian>
    
    	* README: release 1.4.9
    
    	* PCSC.pm, PCSC.pod, PCSC.xs: sort constants in alphabetical order
    
    	* PCSC.pod, PCSC.xs:
    	SCARD_E_UNSUPPORTED_FEATURE is not specific to pcsc-lite but is also
    	available on Windows
    
    	* PCSC.pm, PCSC.pod, PCSC.xs:
    	SCARD_W_INSERTED_CARD is no more defined in pcsc-lite 1.6.0 and then
    	pcsc-perl failed to build. It was an error code specific to pcsc-lite.
    
    2010-01-03  Ludovic Rousseau  <rousseau@debian>
    
    	* Card/Card.pod: fix spelling error
    
    2009-09-23  Ludovic Rousseau  <rousseau@debian>
    
    	* README: release 1.4.8
    
    	* Card/Card.pod: Correct 3 bugs signaled by podchecker
    
    2009-09-06  Ludovic Rousseau  <rousseau@debian>
    
    	* PCSC.xs:
    	PCSC.xs:853: warning: format ‘%d’ expects type ‘int’, but argument 2 has type ‘long unsigned int’
    
    2008-09-28  Ludovic Rousseau  <rousseau@debian>
    
    	* PCSC.pod: example code for GetStatusChange()
Commits on Aug 14, 2011
  1. Revision bump after updating perl5 to 5.14.1.

    obache authored
Commits on Aug 21, 2010
  1. Bump the PKGREVISION for all packages which depend directly on perl,

    seb authored
    to trigger/signal a rebuild for the transition 5.10.1 -> 5.12.1.
    
    The list of packages is computed by finding all packages which end
    up having either of PERL5_USE_PACKLIST, BUILDLINK_API_DEPENDS.perl,
    or PERL5_PACKLIST defined in their make setup (tested via
    "make show-vars VARNAMES=..."), minus the packages updated after
    the perl package update.
    
    sno@ was right after all, obache@ kindly asked and he@ led the
    way. Thanks!
Commits on Mar 16, 2009
  1. Update to version 1.4.7. Upstream changes:

    hasso authored
    * Card/Card.pm: type: prefered -> preferred
    * Card/Card.pm: update copyright date
    * Card/Card.pm: typo: prefered -> preferred
    * Card/Card.pod: typos
    * README: release 1.4.7
    * MANIFEST: remove removed files (merged)
    * Makefile_OSX.PL, Makefile_win.PL: merged in Makefile.PL
    * README, README.OSX, README.Unix, README.Windows: merge all README.* in README
    * Makefile.PL: merge Makefile_win.PL and Makefile_OSX.PL
    * PCSC.pod: typos
    * PCSC.pod: typo
    * PCSC.pm: version 0.05
    * PCSC.pod, PCSCperl.h: update copyright date
    * PCSCperl.h: reorder the .h inclusion to have a default for Unix system
Commits on Oct 19, 2008
  1. Bump the PKGREVISION for all packages which depend directly on perl,

    he authored
    to trigger/signal a rebuild for the transition 5.8.8 -> 5.10.0.
    
    The list of packages is computed by finding all packages which end
    up having either of PERL5_USE_PACKLIST, BUILDLINK_API_DEPENDS.perl,
    or PERL5_PACKLIST defined in their make setup (tested via
    "make show-vars VARNAMES=...").
Commits on Jul 29, 2008
  1. Needs pkg-config.

    joerg authored
Commits on Jul 1, 2008
  1. Treat DragonFly same as other *BSDs.

    obache authored
    Patch provided by Hasso Tepper in PR 38878.
Commits on Mar 4, 2008
  1. This package contains a Perl wrapper to the PC/SC smartcard library

    shannonjr authored
    (pcsc-lite) from MUSCLE together with some small examples.
Something went wrong with that request. Please try again.